Start of the queried window, as a Unix timestamp in seconds.













Beta Admin Analytics Endpoints
(beta) Admin API - access usage analytics. Requires an admin API key.












Examples
Real world code examples
Get By User Stats
GET /api/admin/analytics/vibe/usage/by_user_stats
Get Le Chat usage by user for a time range.
AdminApiKey
start_time
end_time
End of the queried window, as a Unix timestamp in seconds.
200
Successful Response
end_time
End of the queried window, as a Unix timestamp in seconds.
start_time
Start of the queried window, as a Unix timestamp in seconds.
Playground
Test the endpoints live
curl https://api.mistral.ai/api/admin/analytics/vibe/usage/by_user_stats \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/api/admin/analytics/vibe/usage/by_user_stats \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"data": [
{
"files_count": 87,
"images_count": 14,
"last_message_at": "2025-12-17T10:25:07.818693Z",
"messages_count": 56,
"messages_to_agents_count": 91,
"spreadsheets_count": 32,
"unique_agents_count": 78,
"unique_conversations_count": 5,
"user_id": "9c0ab39f-0cd0-46cd-bd30-8bf2d50be5ce"
}
],
"end_time": 69,
"start_time": 41
}{
"data": [
{
"files_count": 87,
"images_count": 14,
"last_message_at": "2025-12-17T10:25:07.818693Z",
"messages_count": 56,
"messages_to_agents_count": 91,
"spreadsheets_count": 32,
"unique_agents_count": 78,
"unique_conversations_count": 5,
"user_id": "9c0ab39f-0cd0-46cd-bd30-8bf2d50be5ce"
}
],
"end_time": 69,
"start_time": 41
}Get By Agent Stats
GET /api/admin/analytics/vibe/usage/by_agent_stats
Get Le Chat usage by agent for a time range.
AdminApiKey
start_time
Start of the queried window, as a Unix timestamp in seconds.
end_time
End of the queried window, as a Unix timestamp in seconds.
200
Successful Response
end_time
End of the queried window, as a Unix timestamp in seconds.
start_time
Start of the queried window, as a Unix timestamp in seconds.
Playground
Test the endpoints live
curl https://api.mistral.ai/api/admin/analytics/vibe/usage/by_agent_stats \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/api/admin/analytics/vibe/usage/by_agent_stats \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"data": [
{
"agent_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"files_count": 87,
"images_count": 14,
"last_message_at": "2025-12-17T10:25:07.818693Z",
"messages_count": 56,
"spreadsheets_count": 91,
"unique_conversations_count": 32,
"unique_users_count": 78
}
],
"end_time": 5,
"start_time": 69
}{
"data": [
{
"agent_id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"files_count": 87,
"images_count": 14,
"last_message_at": "2025-12-17T10:25:07.818693Z",
"messages_count": 56,
"spreadsheets_count": 91,
"unique_conversations_count": 32,
"unique_users_count": 78
}
],
"end_time": 5,
"start_time": 69
}Get By Time Stats
GET /api/admin/analytics/vibe/usage/by_time_stats
Get Le Chat usage over time.
AdminApiKey
start_time
Start of the queried window, as a Unix timestamp in seconds.
end_time
End of the queried window, as a Unix timestamp in seconds.
granularity
Time interval used to group usage results.
200
Successful Response
end_time
End of the queried window, as a Unix timestamp in seconds.
start_time
Start of the queried window, as a Unix timestamp in seconds.
Playground
Test the endpoints live
curl https://api.mistral.ai/api/admin/analytics/vibe/usage/by_time_stats \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/api/admin/analytics/vibe/usage/by_time_stats \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"data": [
{
"files_count": 87,
"images_count": 14,
"messages_count": 56,
"messages_to_agents_count": 91,
"spreadsheets_count": 32,
"time_bucket": null,
"unique_agents_count": 78,
"unique_conversations_count": 5,
"unique_users_count": 69
}
],
"end_time": 41,
"start_time": 18
}{
"data": [
{
"files_count": 87,
"images_count": 14,
"messages_count": 56,
"messages_to_agents_count": 91,
"spreadsheets_count": 32,
"time_bucket": null,
"unique_agents_count": 78,
"unique_conversations_count": 5,
"unique_users_count": 69
}
],
"end_time": 41,
"start_time": 18
}Get Workspace Stats
GET /api/admin/analytics/vibe/usage/by_workspace
Get Vibe usage for a Workspace.
AdminApiKey
start_time
Start of the queried window, as a Unix timestamp in seconds.
end_time
End of the queried window, as a Unix timestamp in seconds.
workspace_id
Workspace ID to filter results.
200
Successful Response
end_time
End of the queried window, as a Unix timestamp in seconds.
start_time
Start of the queried window, as a Unix timestamp in seconds.
Playground
Test the endpoints live
curl https://api.mistral.ai/api/admin/analytics/vibe/usage/by_workspace \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/api/admin/analytics/vibe/usage/by_workspace \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"active_users": [
{
"day": "2025-10-07T20:56:01.974Z",
"nb_active_users_acp": 87,
"nb_active_users_cli": 14,
"nb_active_users_programmatic": 56,
"nb_active_users_total": 91
}
],
"consumed_tokens": [
{
"cached_tokens": 32,
"day": "2025-10-07T20:56:01.974Z",
"input_tokens": 78,
"model": "mistral-small-latest",
"output_tokens": 5
}
],
"end_time": 69,
"session_durations": [
{
"day": "2025-10-07T20:56:01.974Z",
"total_duration_hours": 41
}
],
"sessions": [
{
"day": "2025-10-07T20:56:01.974Z",
"nb_sessions": 18,
"nb_sessions_acp": 74,
"nb_sessions_cli": 29,
"nb_sessions_programmatic": 85
}
],
"start_time": 62,
"tool_calls": [
{
"approval_always": 7,
"approval_ask": 93,
"approval_never": 36,
"day": "2025-10-07T20:56:01.974Z",
"status_failure": 51,
"status_skipped": 80,
"status_success": 13,
"total": 47
}
],
"tool_calls_by_name": [
{
"count": 25,
"day": "2025-10-07T20:56:01.974Z",
"tool_name": "search"
}
],
"user_prompts": [
{
"day": "2025-10-07T20:56:01.974Z",
"nb_prompts_acp": 89,
"nb_prompts_cli": 64,
"nb_prompts_programmatic": 2,
"nb_prompts_total": 71
}
]
}{
"active_users": [
{
"day": "2025-10-07T20:56:01.974Z",
"nb_active_users_acp": 87,
"nb_active_users_cli": 14,
"nb_active_users_programmatic": 56,
"nb_active_users_total": 91
}
],
"consumed_tokens": [
{
"cached_tokens": 32,
"day": "2025-10-07T20:56:01.974Z",
"input_tokens": 78,
"model": "mistral-small-latest",
"output_tokens": 5
}
],
"end_time": 69,
"session_durations": [
{
"day": "2025-10-07T20:56:01.974Z",
"total_duration_hours": 41
}
],
"sessions": [
{
"day": "2025-10-07T20:56:01.974Z",
"nb_sessions": 18,
"nb_sessions_acp": 74,
"nb_sessions_cli": 29,
"nb_sessions_programmatic": 85
}
],
"start_time": 62,
"tool_calls": [
{
"approval_always": 7,
"approval_ask": 93,
"approval_never": 36,
"day": "2025-10-07T20:56:01.974Z",
"status_failure": 51,
"status_skipped": 80,
"status_success": 13,
"total": 47
}
],
"tool_calls_by_name": [
{
"count": 25,
"day": "2025-10-07T20:56:01.974Z",
"tool_name": "search"
}
],
"user_prompts": [
{
"day": "2025-10-07T20:56:01.974Z",
"nb_prompts_acp": 89,
"nb_prompts_cli": 64,
"nb_prompts_programmatic": 2,
"nb_prompts_total": 71
}
]
}Get Organization Stats
GET /api/admin/analytics/vibe/usage/by_organization
Get Vibe usage for the Organization.
AdminApiKey
start_time
Start of the queried window, as a Unix timestamp in seconds.
end_time
End of the queried window, as a Unix timestamp in seconds.
200
Successful Response
end_time
End of the queried window, as a Unix timestamp in seconds.
start_time
Start of the queried window, as a Unix timestamp in seconds.
Playground
Test the endpoints live
curl https://api.mistral.ai/api/admin/analytics/vibe/usage/by_organization \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/api/admin/analytics/vibe/usage/by_organization \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"end_time": 87,
"next_edit_active_users": [
{
"day": "2025-10-07T20:56:01.974Z",
"nb_active_users": 14
}
],
"next_edit_modified_loc": [
{
"day": "2025-10-07T20:56:01.974Z",
"lines_deleted": 56,
"lines_inserted": 91,
"lines_total": 32,
"lines_unchanged": 78
}
],
"next_edit_suggestions": [
{
"day": "2025-10-07T20:56:01.974Z",
"force_generated_false": 5,
"force_generated_true": 69,
"outcome_aborted": 41,
"outcome_accepted": 18,
"outcome_dismissed": 74,
"outcome_rejected": 29,
"outcome_timeout": 85,
"surface_ghost_text": 62,
"surface_widget": 7,
"total_suggestions": 93
}
],
"start_time": 36
}{
"end_time": 87,
"next_edit_active_users": [
{
"day": "2025-10-07T20:56:01.974Z",
"nb_active_users": 14
}
],
"next_edit_modified_loc": [
{
"day": "2025-10-07T20:56:01.974Z",
"lines_deleted": 56,
"lines_inserted": 91,
"lines_total": 32,
"lines_unchanged": 78
}
],
"next_edit_suggestions": [
{
"day": "2025-10-07T20:56:01.974Z",
"force_generated_false": 5,
"force_generated_true": 69,
"outcome_aborted": 41,
"outcome_accepted": 18,
"outcome_dismissed": 74,
"outcome_rejected": 29,
"outcome_timeout": 85,
"surface_ghost_text": 62,
"surface_widget": 7,
"total_suggestions": 93
}
],
"start_time": 36
}